Bug 188549 - missing pygtk2-libglade dependency
missing pygtk2-libglade dependency
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-sudoku (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul W. Frields
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-10 22:14 EDT by Eli
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-13 07:40:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eli 2006-04-10 22:14:40 EDT
Description of problem:
it's missing a pygtk2-libglade dependency

Version-Release number of selected component (if applicable):
gnome-sudoku-0.4.0-5.fc4

How reproducible:
I installed it once; didn't try to back out everything and do it again.

Steps to Reproduce:
1. yum install gnome-sudoku on a FC4 without pygtk2-libglade installed
2. run gnome-sudoku
3. see python import error
  
Actual results:
$ gnome-sudoku &
[1] 28513
$ Traceback (most recent call last):
  File "/usr/bin/gnome-sudoku", line 10, in ?
    from gnome_sudoku.gnome_sudoku import start_game
  File "/usr/lib/python2.4/site-packages/gnome_sudoku/gnome_sudoku.py", line 1, in ?
    import gtk, gobject, gtk.glade
ImportError: No module named glade

[1]+  Exit 1                  gnome-sudoku


Expected results:
Expected to see the game come up.

Additional info:
A "yum install pygtk2-libglade" fixed the problem.
Comment 1 Paul W. Frields 2006-04-13 07:40:00 EDT
I have a fix for this in CVS, but I'm waiting for an additional issue (missing
"which" package in build-minimal buildgroup) to be addressed by FESCo before
starting a new build.

Note You need to log in before you can comment on or make changes to this bug.